id: twenty-detect

info:
  name: Twenty - Detect
  author: righettod
  severity: info
  description: |
    Twenty products was detected.
  reference:
    - https://github.com/twentyhq/twenty
    - https://twenty.com/
  metadata:
    max-request: 1
    shodan-query: http.title:"Twenty"
  tags: tech,twenty,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/welcome"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_all(to_lower(body), "<title>twenty</title>", "open-source crm")'
        condition: and
# digest: 4a0a00473045022100904b54a852453253469c5c366b0e9b8e58f3fb81297481aa49358b3402e921130220147735cf529617d50ec0154100c19cf44a563724daa178f3ffa44ee8ee7929b7:922c64590222798bb761d5b6d8e72950